Skip to main content

GST Authentication API - v1

This document outlines the details of the GST Authentication API - v1.

API Description

Objective

The GST Authentication API - v1 authenticates a 15-digit alphanumeric GSTIN input issued by the Goods and Service Tax Network in India and returns the details of the business associated with this GSTIN number.

info
The Goods and Services Tax Identification Number (GSTIN) is a 15-digit alphanumeric identifier for registered taxpayers in India. Refer to this page for a detailed explanation of how a GSTIN is constructed.
InputOutput
The unique 15-digit GSTIN valueThe business details associated with the GSTIN. The complete list of output fields is available in the Success Response Details section.

API URL

https://ind-engine.thomas.hyperverge.co/v1/searchGSTIN

API Endpoint

searchGSTIN

Overview

The GST Authentication API - v1 is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the GST Authentication API - v1.

API Request Details

Method - POST

Headers

HeaderMandatory / OptionalDescriptionInput Format
content-typeMandatoryThis parameter defines the media type for the request payloadapplication/json
appIdMandatoryThe application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab.Not Applicable - this is a unique value
appKeyMandatoryThe application key shared by HyperVerge. You can find the details in the dashboard's credentials tab.Not Applicable - this is a unique value
transactionIdMandatoryA unique identifier for tracking a user journeyNot Applicable - any defined unique value mapped to a transaction in your business ecosystem

Input

The following table provides the details of the parameters required for the GST Authentication API - v1's request body:

ParameterMandatory / OptionalTypeDescriptionInput FormatDefault Value
gstinMandatorystringThe unique 15-digit GSTIN valueNot ApplicableNot Applicable

Request

The following code snippet demonstrates a standard curl request for the GST Authentication API - v1:

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/searchGSTIN' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"gstin": "<Enter_GST_number>"
}'

Success Response

The following code snippet demonstrates a success response from the GST Authentication API - v1:

{
"status": "success",
"statusCode": "200",
"result": {
"code": 200,
"data": {
"gstin": "<GSTIN_Number>",
"pradr": {
"addr": {
"blockName": "<Block_Name>",
"street": "<Street>",
"location": "<Location>",
"doorNumber": "<Door_Number>",
"district": "<District>",
"latitude": "<Latitude>",
"locality": "<Locality>",
"pincode": "<Pincode>",
"landMark": "<Landmark>",
"state": "<State>",
"geocodelvl": "<Geocode_Level>",
"flatNumber": "<Flat_Number>",
"longitude": "<Longitude>"
},
"natureOfBusiness": "<Nature_Of_Business>",
"fullAddress": "<Full_Address>"
},
"einvoiceStatus": "<E_Invoice_Status>",
"stateJurisdictionCode": "<State_Jurisdiction_Code>",
"taxpayerType": "<Taxpayer_Type>",
"stateJurisdiction": "<State_Jurisdiction>",
"legalName": "<Legal_Name>",
"additionalPlaceOfBusiness": [
{
"addr": {
"blockName": "<Block_Name>",
"street": "<Street>",
"location": "<Location>",
"doorNumber": "<Door_Number>",
"district": "<District>",
"latitude": "<Latitude>",
"locality": "<Locality>",
"pincode": "<Pincode>",
"landMark": "<Landmark>",
"state": "<State>",
"geocodelvl": "<Geocode_Level>",
"flatNumber": "<Flat_Number>",
"longitude": "<Longitude>"
},
"fullAddress": "<Full_Address>",
"natureOfBusiness": "<Nature_Of_Business>"
}
],
"dateOfCancellation": "<Date_Of_Cancellation>",
"natureOfBusinessAtAddress": [
"<Nature_Of_Business>",
"<Nature_Of_Business>",
"<Nature_Of_Business>",
"<Nature_Of_Business>"
],
"lastUpdated": "<Last_Updated_Date>",
"constitutionOfBusiness": "<Constitution_Of_Business>",
"registeredDate": "<Registered_Date>",
"centralJurisdictionCode": "<Central_Jurisdiction_Code>",
"status": "<Status>",
"tradeName": "<Trade_Name>",
"centralJurisdiction": "<Central_Jurisdiction>"
},
"timestamp": "<Timestamp>"
}
}

Success Response Details

The following table provides the details of the fields in a success response from the GST Authentication API - v1:

ParameterTypeDescription
statusstringThe status of the request
statusCodestringThe status code of the response
codeintegerThe response code for the request
gstinstringThe GST identification number
pradrobjectThe principal address details
addrobjectThe address details of the principal place of business
streetstringThe street address of the business
locationstringThe location of the business
doorNumberstringThe door number of the business address
districtstringThe district of the business location
latitudestringThe latitude coordinate of the business location
pincodestringThe postal code of the business location
statestringThe state of the business location
geocodelvlstringThe geocode level of the address
longitudestringThe longitude coordinate of the business location
natureOfBusinessstringThe nature of business activities at the principal address
fullAddressstringThe complete address of the principal place of business
einvoiceStatusstringThe e-invoice registration status
stateJurisdictionCodestringThe jurisdiction code of the state
taxpayerTypestringThe type of taxpayer
stateJurisdictionstringThe state jurisdiction of the business
legalNamestringThe legal name of the business
additionalPlaceOfBusinessarrayThe list of additional places of business
dateOfCancellationstringThe date of cancellation of GST registration, if any
natureOfBusinessAtAddressarrayThe types of business activities conducted at the address
lastUpdatedstringThe last updated date of the business details
constitutionOfBusinessstringThe legal constitution of the business
registeredDatestringThe registration date of the business
centralJurisdictionCodestringThe central jurisdiction code
statusstringThe current status of the GST registration
tradeNamestringThe trade name of the business
centralJurisdictionstringThe central jurisdiction of the business
timestampintegerThe timestamp of the response

Error Responses

The following code snippets show the sample error responses from the GST Authentication API - v1:

{
"status": "failure",
"statusCode": "400",
"error": "gstin is required"
}

Error Response Details

A failure or error response from the GST Authentication API - v1 contains a failure status with a relevant status code and error message. The following table lists all error responses:

Status CodeError MessageError DescriptionError Resolution
400gstin is requiredThe request did not include the gstin inputInclude a valid gstin value in the request body
401Missing/Invalid credentialsThe request is either missing the mandatory appId and appKey combination or has invalid valuesProvide valid appId and appKey in the request headers. Check the dashboard's credentials tab
422Invalid GSTIN patternThe request has an incorrect GSTIN input that does not match the required 15-digit alphanumeric formatProvide a valid 15-digit alphanumeric GSTIN value in the request
504Issue with external serviceThere is an issue with the service. Kindly contact the HyperVerge Team for support.Retry the request after some time. If the issue persists, contact the HyperVerge team
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: